Bug 250852 - The xenoprof patch define conflict with defines in oprofile 0.9.3
Summary: The xenoprof patch define conflict with defines in oprofile 0.9.3
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: oprofile
Version: 5.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: William Cohen
QA Contact:
URL:
Whiteboard:
Keywords: OtherQA
Depends On:
Blocks: 226085 250959
TreeView+ depends on / blocked
 
Reported: 2007-08-03 21:36 UTC by William Cohen
Modified: 2009-06-19 23:52 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2008-05-21 16:49:49 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2008:0400 normal SHIPPED_LIVE oprofile bug fix and enhancement update 2008-05-20 17:10:19 UTC

Description William Cohen 2007-08-03 21:36:15 UTC
Description of problem:

The xenoprof patch adds some defines to oprofile/daemon/opd_interface.h.
Unfortunately, these defines conflict with the defines added for the Cell
processor in oprofile 0.9.3:


#define SPU_PROFILING_CODE              11
#define SPU_CTX_SWITCH_CODE             12


Version-Release number of selected component (if applicable):

oprofile-0.9.2-6.el5

This problem will become visible when the patch for xenoprof in the xen kernels
is updated to avoid conflicting with the defines in oprofile 0.9.3.

Comment 2 RHEL Product and Program Management 2007-10-16 03:51:09 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 William Cohen 2007-12-06 23:16:21 UTC
Suggested a possible approach to work around this in the following email messages

http://marc.info/?l=oprofile-list&m=119697902625115&w=2

However, this assumes that xen doesn't work on ppc. There is xen available for
ppc, so this solution won't work in general. However, it might work well enough
for RHEL 5.


Comment 4 William Cohen 2008-01-18 22:55:09 UTC
I have built a set of rpms to try out to see that this problem with 0.9.3, rhel
5, and xen are resolved.

http://people.redhat.com/wcohen/oprofupdate/oprofile-0.9.3-15.bz253109.tar.gz

They haven't been tested yet. I would like to verify that they work before
checking the changes in the the main branch.

Comment 5 William Cohen 2008-01-19 00:43:46 UTC
oprofile-0.9.3-16.el5 should addressthis.

Comment 11 William Cohen 2008-02-14 02:22:00 UTC
oprofile-0.9.3-16.el5 rpms have fixes in it for this.


Comment 13 John Poelstra 2008-03-21 03:58:37 UTC
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot1--available now on partners.redhat.com.  

Please test and confirm that your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you

Comment 14 John Poelstra 2008-04-02 21:39:34 UTC
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot3--available now on partners.redhat.com.  

Please test and confirm that your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you


Comment 15 John Poelstra 2008-04-09 22:45:11 UTC
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot4--available now on partners.redhat.com.  

Please test and confirm that your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you


Comment 16 John Poelstra 2008-04-23 17:40:37 UTC
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot6--available now on partners.redhat.com.  

We are nearing GA for 5.2 so please test and confirm that your issue is fixed ASAP.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you


Comment 18 errata-xmlrpc 2008-05-21 16:49:49 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2008-0400.html



Note You need to log in before you can comment on or make changes to this bug.